Retrieve brand
curl --request GET \
--url https://api.sendo.dev/v1/brand/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sendo.dev/v1/brand/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendo.dev/v1/brand/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brand": {
"id": "h4cQ2gls",
"createdAt": "2023-12-12T12:33:33.630Z",
"updatedAt": "2023-12-12T12:33:33.630Z",
"status": "VERIFIED",
"entityType": "PRIVATE_PROFIT",
"vetted": true,
"trustScore": 73,
"displayName": "Sendo AI",
"entityName": "Winno Inc.",
"ein": "12-3456789",
"website": "https://sendo.dev",
"privacyLink": "https://sendo.dev/privacy",
"address": {
"street": "584 Castro St #2028",
"city": "San Francisco",
"state": "CA",
"postalCode": "94114",
"country": "US"
},
"contact": {
"firstName": "John",
"lastName": "Smith",
"phone": "+12061234567",
"email": "support@sendo.dev"
}
}
}
{
"brand": null,
"error": "Brand not found"
}
Brand
Retrieve brand
This endpoint retrieves a brand.
GET
/
v1
/
brand
/
{id}
Retrieve brand
This endpoint retrieves a brand. Click here to learn more.
Parameters
string
required
The ID of the brand to retrieve.
Response
object
The contents of the brand.
Show brand fields
Show brand fields
string
The ID of the retrieved brand.
timestamp
The time that the brand was created.
timestamp
The time the brand was last updated.
string
string
number
Trust score if the brand is vetted.
string
The display name or DBA name of the brand.
string
The name of the brand’s legal entity.
string
The EIN for the brand’s legal entity.
string
The website URL for the brand.
string
The privacy policy URL for the brand.
string
string
Error message if the request fails.
Errors
If the request fails, it will return an HTTP error status code and anerror field in the body with details. Full list of status codes here.
{
"brand": {
"id": "h4cQ2gls",
"createdAt": "2023-12-12T12:33:33.630Z",
"updatedAt": "2023-12-12T12:33:33.630Z",
"status": "VERIFIED",
"entityType": "PRIVATE_PROFIT",
"vetted": true,
"trustScore": 73,
"displayName": "Sendo AI",
"entityName": "Winno Inc.",
"ein": "12-3456789",
"website": "https://sendo.dev",
"privacyLink": "https://sendo.dev/privacy",
"address": {
"street": "584 Castro St #2028",
"city": "San Francisco",
"state": "CA",
"postalCode": "94114",
"country": "US"
},
"contact": {
"firstName": "John",
"lastName": "Smith",
"phone": "+12061234567",
"email": "support@sendo.dev"
}
}
}
{
"brand": null,
"error": "Brand not found"
}
⌘I

